LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08038Bug reports[All Projects] Templatespublic2013-07-23 13:012013-11-04 12:11
ReporterMazi 
Assigned ToDenisChenu 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target Version2.00+Fixed in Version2.00+ 
Summary08038: Can't upload image files to a custom template
DescriptionOn a certain server I am having problems uploading files to a custom template. The LS system is hosted at godaddy and I also had problems with the famous "No input file specified" problem there, see http://stackoverflow.com/questions/14763580/limesurvey-2-0-no-input-file-specified-fails-to-come-up-under-godaddy [^]

When trying to upload a simple png file, I get redirected from my custom template to the default template and no file is uploaded.
Even with debug set to "2", bo errors are shown.
After redirect, the URL also looks weird: http://mydomain.com/limesurvey/index.php?r=admin/templates/uploadfile [^]

I tried the same on another server using the same Limesurvey build and it all works fine there, so I assume it has to do with godaddy and maybe problems with the URL (see link above).

I also tried setting the urlFormat to "path", but then I ran into the "No input file specified" problem, so that setting currently is set to "get".
Steps To Reproduce1. Create a copy of a shipped template (this works fine).

2. Try to upload a file.

3. You get redirected to http://mydomain.com/limesurvey/index.php?r=admin/templates/uploadfile [^]
Additional InformationI checked file permissions and both folders /tmp and /upload/* and all files within have rights 777.

Server access can be granted on request.

I also noticed problems with the "show phpinfo" function at global settings. It just opens the global settings screen in a new tab using URL http://mydomain.com/limesurvey/index.php?r=admin/globalsettings/showphpinfo [^]
while on my other server the URL is
http://myotherdomain.com/limesurvey/index.php/admin/globalsettings/showphpinfo [^]

If I enter that last part of the URL (index.php/admin/globalsettings/showphpinfo) at the buggy server, I run into the "no input file specified" problem again.

phpinfo details attached
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID130708
BrowserChrome
Database & DB-VersionMySQL 5
Operating System (Server)Linux
Webserver software & versionApache
PHP Version5.3.24
Attached Filespdf file icon phpinfo.pdf [^] (230,099 bytes) 2013-07-23 13:01

- Relationships
parent of 08332closedc_schmitz JS files are not imported during template import 

-  Notes
User avatar (25896)
DenisChenu (developer)
2013-07-30 23:51

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12798 [^]
User avatar (25897)
DenisChenu (developer)
2013-07-31 00:15

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12799 [^]
User avatar (25898)
DenisChenu (developer)
2013-07-31 00:16

Just sa/ problem. Fix to for phpinfo.

And think you're happy to be allowed to upload js file ;)
User avatar (25915)
c_schmitz (administrator)
2013-08-04 21:54

2.00+ Build 130802 released

- Related Changesets
LimeSurvey: master a69a383c
Timestamp: 2013-07-30 21:46:39
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 08038 : with urlFormat to "get" : Can't upload file in template editor
Dev: add css and js file uploadable in template editor : a user can regsiter external template, then let him upload it
mod - application/config/config-defaults.php Diff ] File ]
mod - application/views/admin/templates/templatesummary_view.php Diff ] File ]
LimeSurvey: 2.05 2f6b4ae3
Timestamp: 2013-07-30 22:10:57
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 08038 : with urlFormat to "get" : Can't upload file in template editor
Dev: add css and js file uploadable in template editor : a user can register external js file, then let him upload it
mod - application/config/config-defaults.php Diff ] File ]
mod - application/views/admin/templates/templatesummary_view.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-07-23 13:01 Mazi New Issue
2013-07-23 13:01 Mazi Status new => assigned
2013-07-23 13:01 Mazi Assigned To => DenisChenu
2013-07-23 13:01 Mazi File Added: phpinfo.pdf
2013-07-30 23:51 DenisChenu Changeset attached => LimeSurvey master a69a383c
2013-07-30 23:51 DenisChenu Note Added: 25896
2013-07-30 23:51 DenisChenu Resolution open => fixed
2013-07-31 00:15 DenisChenu Changeset attached => LimeSurvey 2.05 2f6b4ae3
2013-07-31 00:15 DenisChenu Note Added: 25897
2013-07-31 00:16 DenisChenu Note Added: 25898
2013-07-31 00:16 DenisChenu Status assigned => resolved
2013-07-31 00:16 DenisChenu Fixed in Version => 2.00+
2013-08-04 21:54 c_schmitz Note Added: 25915
2013-08-04 21:54 c_schmitz Status resolved => closed
2013-11-04 12:11 c_schmitz Relationship added parent of 08332


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker